Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::ConCompPt Class Reference

`#include <con_comp.h>`

List of all members.

## Public Member Functions

| ConCompPt (int x, int y)
int | x ()
int | y ()
void | Shift (int dx, int dy)
ConCompPt * | Next ()
void | SetNext (ConCompPt *pt)

## Detailed Description

Definition at line 37 of file con_comp.h.

## Constructor & Destructor Documentation

tesseract::ConCompPt::ConCompPt | ( | int | x,
|  | int | y
| ) |  |

inline

Definition at line 39 of file con_comp.h.

{
x_ = x;
y_ = y;
next_pt_ = NULL;
}

## Member Function Documentation

ConCompPt* tesseract::ConCompPt::Next | ( |  | ) |

inline

Definition at line 50 of file con_comp.h.

{ return next_pt_; }

void tesseract::ConCompPt::SetNext | ( | ConCompPt * | pt | ) |

inline

Definition at line 51 of file con_comp.h.

{ next_pt_ = pt; }

void tesseract::ConCompPt::Shift | ( | int | dx,
|  | int | dy
| ) |  |

inline

Definition at line 46 of file con_comp.h.

{
x_ += dx;
y_ += dy;
}

int tesseract::ConCompPt::x | ( |  | ) |

inline

Definition at line 44 of file con_comp.h.

{ return x_; }

int tesseract::ConCompPt::y | ( |  | ) |

inline

Definition at line 45 of file con_comp.h.

{ return y_; }

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/cube/con_comp.h